Commit 9a7bd14a authored by Louis-Olivier Brassard's avatar Louis-Olivier Brassard 💬
Browse files

Merge branch 'jekyll-update' into 'master'

admin: Upgrade jekyll v4 + gems

See merge request !15
parents 49765d0e 22df48b0
......@@ -3,4 +3,5 @@ _site
asssets/style-sauvegarde.css
rakefile
.jekyll-metadata
.jekyll-cache
Gemfile.lock
source 'https://rubygems.org'
gem 'jekyll', '3.7.2'
gem 'jekyll', "~>4.0"
gem 'jekyll-scholar'
gem 'jekyll-scholar', "~>6.8"
gem 'jekyll-redirect-from'
......@@ -12,5 +12,5 @@ group :jekyll_plugins do
gem 'jekyll-sitemap'
gem 'jekyll-microtypo'
gem 'jekyll-figure'
gem 'jekyll-inline-svg', '~>0.0.1'
gem 'jekyll-inline-svg'
end
......@@ -3,16 +3,16 @@ GEM
specs:
addressable (2.7.0)
public_suffix (>= 2.0.2, < 5.0)
bibtex-ruby (4.4.7)
bibtex-ruby (5.1.6)
latex-decode (~> 0.0)
citeproc (1.0.10)
namae (~> 1.0)
citeproc-ruby (1.1.12)
citeproc-ruby (1.1.13)
citeproc (~> 1.0, >= 1.0.9)
csl (~> 1.5)
colorator (1.1.0)
concurrent-ruby (1.1.7)
csl (1.5.1)
csl (1.5.2)
namae (~> 1.0)
csl-styles (1.0.1.10)
csl (~> 1.0)
......@@ -20,83 +20,91 @@ GEM
eventmachine (>= 0.12.9)
http_parser.rb (~> 0.6.0)
eventmachine (1.2.7)
ffi (1.13.1)
ffi (1.14.2)
forwardable-extended (2.6.0)
http_parser.rb (0.6.0)
i18n (0.9.5)
i18n (1.8.7)
concurrent-ruby (~> 1.0)
jekyll (3.7.2)
jekyll (4.2.0)
addressable (~> 2.4)
colorator (~> 1.0)
em-websocket (~> 0.5)
i18n (~> 0.7)
jekyll-sass-converter (~> 1.0)
i18n (~> 1.0)
jekyll-sass-converter (~> 2.0)
jekyll-watch (~> 2.0)
kramdown (~> 1.14)
kramdown (~> 2.3)
kramdown-parser-gfm (~> 1.0)
liquid (~> 4.0)
mercenary (~> 0.3.3)
mercenary (~> 0.4.0)
pathutil (~> 0.9)
rouge (>= 1.7, < 4)
rouge (~> 3.0)
safe_yaml (~> 1.0)
terminal-table (~> 2.0)
jekyll-figure (0.1.0)
jekyll-inline-svg (0.0.2)
jekyll (~> 3.3)
svg_optimizer (= 0.1.0)
jekyll-inline-svg (1.1.4)
jekyll (>= 3.3, < 5.0)
svg_optimizer (~> 0.2.5)
jekyll-microtypo (1.2.6)
jekyll (>= 3.0, < 5.0)
jekyll-redirect-from (0.16.0)
jekyll (>= 3.3, < 5.0)
jekyll-sass-converter (1.5.2)
sass (~> 3.4)
jekyll-scholar (5.16.0)
bibtex-ruby (~> 4.0, >= 4.0.13)
jekyll-sass-converter (2.1.0)
sassc (> 2.0.1, < 3.0)
jekyll-scholar (6.8.0)
bibtex-ruby (~> 5.0)
citeproc-ruby (~> 1.0)
csl-styles (~> 1.0)
jekyll (~> 3.0)
jekyll (~> 4.0)
jekyll-sitemap (1.4.0)
jekyll (>= 3.7, < 5.0)
jekyll-watch (2.2.1)
listen (~> 3.0)
kramdown (1.17.0)
latex-decode (0.3.1)
kramdown (2.3.0)
rexml
kramdown-parser-gfm (1.1.0)
kramdown (~> 2.0)
latex-decode (0.3.2)
liquid (4.0.3)
listen (3.2.1)
listen (3.4.1)
rb-fsevent (~> 0.10, >= 0.10.3)
rb-inotify (~> 0.9, >= 0.9.10)
mercenary (0.3.6)
mini_portile2 (2.4.0)
namae (1.0.1)
nokogiri (1.10.10)
mini_portile2 (~> 2.4.0)
mercenary (0.4.0)
mini_portile2 (2.5.0)
namae (1.0.2)
nokogiri (1.11.1)
mini_portile2 (~> 2.5.0)
racc (~> 1.4)
pathutil (0.16.2)
forwardable-extended (~> 2.6)
public_suffix (4.0.6)
racc (1.5.2)
rb-fsevent (0.10.4)
rb-inotify (0.10.1)
ffi (~> 1.0)
rouge (3.23.0)
rexml (3.2.4)
rouge (3.26.0)
safe_yaml (1.0.5)
sass (3.7.4)
sass-listen (~> 4.0.0)
sass-listen (4.0.0)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
svg_optimizer (0.1.0)
sassc (2.4.0)
ffi (~> 1.9)
svg_optimizer (0.2.5)
nokogiri
terminal-table (2.0.0)
unicode-display_width (~> 1.1, >= 1.1.1)
unicode (0.4.4.4)
unicode-display_width (1.7.0)
PLATFORMS
ruby
DEPENDENCIES
jekyll (= 3.7.2)
jekyll (~> 4.0)
jekyll-figure
jekyll-inline-svg (~> 0.0.1)
jekyll-inline-svg
jekyll-microtypo
jekyll-redirect-from
jekyll-scholar
jekyll-scholar (~> 6.8)
jekyll-sitemap
unicode
BUNDLED WITH
2.1.2
2.1.4
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment